package org.cs.mgr.product.service;

import java.util.Map;

import org.cs.core.service.IBaseService;
import org.cs.mgr.product.model.MgmProduct;
import org.cs.util.Pager;

import com.alibaba.fastjson.JSONObject;

/**
 * 
 * @ClassName: IMgmProductService
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:29:09
 */
public interface IMgmProductService extends IBaseService<MgmProduct> {

	Pager getMgmProducts(Pager page);

	boolean delMgmProduct(Integer id);
	
	String addMgmProduct(MgmProduct mgmProduct);
	
	String updateMgmProduct(MgmProduct mgmProduct);

	Pager queryProductPager(Pager page, Map<String, String> map);

	JSONObject queryProductDetail(Map<String, String> map);

	JSONObject categoryProduct(Map<String, String> data1);

	Pager getMgmProducts(Pager page, Map<String, String> map);


	
}
